package com.sf._01_泛型.demo;


/**
 * 泛型类:
 * 如果的字段设计到多种数据类型, 我们还不希望在类当中写死就可以
 * 使用泛型类
 * @param <T>
 */
public class Point<T> {
    T x;
    T y;

    public Point(T x, T y) {
        this.x = x;
        this.y = y;
    }


    /**
     * method1 成员方法 生命method1 是一个泛型方法
     */
    public  T method1(T a){
        System.out.println(a);
        return a;
    }

    /**
     * method2 静态方法, 声明method2 是一个静态方法
     */
    public static<E> E method2(E a){
        return a;
    }
}
